normalizePath {utils} | R Documentation

## Express File Paths in Canonical Form

### Description

Convert file paths to canonical form for the platform, to display them in a user-understandable form.

### Usage

    normalizePath(path)

### Arguments

`path` | character vector of file paths.

### Details

Where the platform supports it this turns paths into absolute paths in their canonical form (no `./`, `../` nor symbolic links).

If the path is not a real path the result is undefined. On Unix-alikes, this will likely be the corresponding input element. On Windows, it will likely result in an error being signalled.

### Value

A character vector.

### Examples

    cat(normalizePath(c(R.home(), tempdir())), sep = "\n")

[Package utils version 2.8.1 Index]